Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class SimpleClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--java.security.SecureClassLoader
                  |
                  +--com.caucho.util.DynamicClassLoader
                        |
                        +--com.caucho.util.SimpleClassLoader

public class SimpleClassLoader
extends DynamicClassLoader

Class loader which checks for changes in class files and automatically picks up new jars.

Inner classes inherited from class com.caucho.util.DynamicClassLoader
`DynamicClassLoader.Entry`

Fields inherited from class com.caucho.util.DynamicClassLoader
`top`

Constructor Summary
`protected` | `SimpleClassLoader(java.lang.ClassLoader parent)`

Method Summary
`static SimpleClassLoader` | `create(java.lang.ClassLoader parent, Path path, java.lang.String prefix)` Create a new class loader
`protected java.lang.String` | `getClassPath(java.lang.String head)` Default implementation of getting a classpath segment.
`Path` | `getPath(java.lang.String name)` Given a class or resource name, returns a patch to that resource.
`java.lang.String` | `toString()` Returns a printable representation of the loader.

Methods inherited from class com.caucho.util.DynamicClassLoader
`addCodeBasePath, addListener, addParentPriorityPackage, addPermission, addPermission, addPermissions, destroy, findClass, findLibrary, getAttribute, getClassEntry, getClassPath, getCodePath, getLevelAttribute, getParentLoader, getPermissions, getPermissions, getResource, getResourceAsStream, getSourcePath, getSourcePath, getTop, isModified, isModifiedInt, loadClass, loadClass, makeAll, makeAllInt, setAttribute, setNext, setServletHack, unload`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleClassLoader

    protected SimpleClassLoader(java.lang.ClassLoader parent)

Method Detail

### create

    public static SimpleClassLoader create(java.lang.ClassLoader parent,
                                           Path path,
                                           java.lang.String prefix)

  Create a new class loader
  Parameters:
    `parent` - parent class loader
    `path` - traditional classpath
  Returns:
    the new SimpleClassLoader

### getPath

    public Path getPath(java.lang.String name)

  Given a class or resource name, returns a patch to that resource.
  Overrides:
    `getPath` in class `DynamicClassLoader`
  Parameters:
    `name` - the class or resource name.
  Returns:
    the path representing the class or resource.

### getClassPath

    protected java.lang.String getClassPath(java.lang.String head)

  Description copied from class: `DynamicClassLoader`
  Default implementation of getting a classpath segment.
  Overrides:
    `getClassPath` in class `DynamicClassLoader`

### toString

    public java.lang.String toString()

  Returns a printable representation of the loader.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD